/*banner*/
.banner-degrade{
    background-image: 
    linear-gradient(to right, rgba(245, 245, 245, 1) 50%, rgba(245, 245, 245, 0) 80%),
    url('../img/produto/batata.png'); 
    height: 60vh;
}
.conteudo-banner{
    height: 80%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.botao-seta{
    box-shadow: 0px 8px 14px rgba(0, 0, 0, 0.2);
    width: 10%;
}
#seta-para-esquerda{
    transform: translateX(-100%);
}
#seta-para-esquerda::after{
    transform: rotate(180deg) translate(50%, 50%);
}
.botao-seta::after{
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    height: 60%;
    width: 60%;
    background-image: url(../img/produto/right-arrow\ 1.png);
    background-size: cover;
    transform: translate(-50%,-50%);
}
.container-precos{
    display: flex;
    justify-content: space-between;
    width: 45%;
}
#preco-cinza{
    color: #B5B5B5;
    position: relative;
}
#preco-cinza::after{
    content: '';
    height: 2px;
    background-color: #B5B5B5;
    right: -4%;
    left: -4%;
    top: 50%;
    transform: translateY(-50%);
    position: absolute;
}
.container-avaliacao-produto{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 10%;
}
.container-avaliacao-produto img{
    height: 1rem;
}
.container-botoes{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 60px;
    width: 80%;
}
.container-botoes img{
    height: 70%;
}
/*section padrao*/
.pai-containers{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2vw;
}
.pai-containers>div{
    padding: 2% 4%;
}
#container-maior{
    grid-column: span 2;
}
.container-antes-pedir{
    display: grid;
    row-gap: 10vh;
    grid-template-columns: 1fr 1fr; 
    margin-top: 4%;

}
.container-antes-pedir>div{
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%;
}
.container-antes-pedir>div>*{
    margin-left: 10%;
}
.container-ingredientes{
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-align: center;
    margin: 30% 0% 10% 0%;
}
.container-ingredientes>div{
    width: 20%;
}
.container-ingredientes img{
    aspect-ratio: 1/1;
    width: 40%;
}
.linha-template-checkbox{
    display: flex;
    justify-content: space-between;
    width: 85%;
    margin-inline: auto;
}
.linha-template-checkbox>div{
    width: 50%;
}
.linha-template-checkbox>div>*{
    display: inline-block;
    vertical-align: middle;
}
.texto-vermelho{
    margin-left: auto;
}
.template-container-2d>.texto-preto{
    margin-bottom: 4%;
}
.checkbox-filtro {
  appearance: none;
  width: 20px;
  height: 20px;
  border: 1px solid var(--cor-texto-cinza);
  border-radius: 4px;
  background-color: transparent;
  cursor: pointer;
  position: relative;
}
.opcoes {
  display: flex;
  flex-direction: column;
  gap: 12px;
  max-width: 500px;
  width: 100%;
  margin-inline: auto;
}

.item {
  display: flex;
  align-items: center;
  padding: 16px;
  border: 1px solid var(--cor-texto-cinza);
  border-radius: 12px;
  cursor: pointer;
  background: transparent;
  
}

.item .escolha{
  margin-left: 12px;
  flex: 1; 
}

.item input {
  accent-color: var(--cor-primaria-verm);
  width: 18px;
  height: 18px;
  background-color: transparent;
}
.item input:checked ~ p{
    color: var(--cor-primaria-verm);
}
.item:has(input:checked){
    border-color: var(--cor-primaria-verm);
}
.container-sugestao{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.container-batata{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2%;
    height: 30vh;
    width: 60%;
}
.container-batata>img{
    object-fit: contain;
}
.container-batata>*{
    width: 45%;
    height: 100%;
}
.container-preco-avaliacao{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 50%;
}
.container-batata .container-texto{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 80%;
}
p>span{
    color: var(--cor-primaria-verm);
}
#segundo-btn{
    width: 5%;
}